import * as React from "react";
type Props = {
    width: number;
    height: number;
    children: React.ReactNode;
    className?: string;
    constrainHeight?: boolean;
    allowFullBleed?: boolean;
};
type DefaultProps = {
    className: Props["className"];
    constrainHeight: Props["constrainHeight"];
    allowFullBleed: Props["allowFullBleed"];
};
type State = {
    viewportHeight: number | null;
    viewportWidth: number | null;
};
declare class FixedToResponsive extends React.Component<Props, State> {
    _isMounted: boolean;
    static defaultProps: DefaultProps;
    state: State;
    componentDidMount(): void;
    componentWillUnmount(): void;
    _cacheViewportSize: () => void;
    render(): React.JSX.Element;
}
export default FixedToResponsive;
